#' @title Plts of 3d  density  a bivariate normal distribution, with marginal distributions
#' (experimental)
#'  
#' @description  \code{MLA.bivariate.normal} plots a bivariate normal distribution
#' with marginal distributions and contour ellipses (not yet implemented)
#'
#' @param rho a scalar: correlation of components
#' @param mu a two-elements vector of means
#' @param s a two-elements vector of standard deviation
#' @param lev a vector of levels for the 2d contour ellipses
#' @param vec.col a vector of colurs numbers for the 2d contour ellipses
#' @param ngrid number of points for each coordinate for the evaluation of the bivariate density
#' @param axes if \code{TRUE} principal axes will be drawn 
#' (no axes drawn at the present moment)
#' @param alpha1 transparency level
#' @param col1 color 1
#' @param col2 color 2
#' @param ... graphical parameters for points drawing
#' 
#' @return only plotting is done
#' @export
#'
#' @examples
MLA.bivariate.normal3d=function(rho=.5,mu=c(0,0),
                              s=c(1,1),lev=c(0.25,0.50,0.75),
                              vec.col=1:(length(lev)+1),ngrid=55,alpha1=0.15, 
                              col1="blue",col2="green",
                              axes=FALSE,...){
  xmin=-4
  xmax=4
  ymin=xmin
  ymax=xmax
  nlev=length(lev)
  m1=matrix(c(s[1]^2,rho*s[1]*s[2],rho*s[1]*s[2],s[2]^2),2,2)
  fac=3.5
  smax=max(s[1],s[2])
  xlim=c(mu[1]-fac*smax,mu[1]+fac*smax)
  ylim=c(mu[2]-fac*smax,mu[2]+fac*smax)
  v=eigen(m1)$vectors
  x=seq(xmin,xmax,length.out=ngrid)
  y=x
  dens= outer(x,y,"dnormbiv",r=rho,s1=s[1],s2=s[2],m1=mu[1],m2=mu[2])
  
  n=length(x)
  #zz =dens$z/max(dens$z)
#open3d()
 persp3d(x,y,4*dens,col=col1,alpha=alpha1,aspect = c(1, 1, 0.5),polygon_offset = 1,expand=1)
  persp3d(x,y,4*dens,back="lines",front="lines",aspect = c(1, 1, 0.5),add=TRUE)
  title3d(main=paste("r=",as.character(round(rho,2))),col=1)
  lines3d.marginal(x,dnorm(x,mean=mu[1],sd=s[1]),ymin,plane="xz",col.lines=2,color.plane="blue")
  lines3d.marginal(y,dnorm(y,mean=mu[2],sd=s[2]),xmin,plane="yz",col.lines=2,color.plane="blue")
}

