#' Title a personalized grid tool
#'
#' @param tx x-values for grid
#' @param ty y-values for grid
#' @param axis if \code{TRUE} axis are drawn
#' @param col default color for grid lines
#' @param lty style for gridlines
#' @param ... other graphical parameters
#'
#' @return a grid is added to current plot
#' @export
#'
#' @examples
MLA.grid <- function(tx,ty,axis=FALSE,col=8,lty="dotted",...){
  if (axis){
    axis(1,at=tx)
    axis(2,at=ty)
    }
  abline(v=tx,col=col,lty=lty)
  abline(h=ty,col=col,lty=lty)
  
} 

