#' @title MLA.plotlm
#' @description Diagnostic plots fo linear model in a single window
#' @details The first three plots corresponds to classical lm plots n.1,2 and3. 
#' The 4th is an histogram of standardized residuals with 
#' theoretical normal superimposed 
#'
#' @param lm1 an object of class \code{lm}
#' @param nc Number of classes for residual histogram.
#'
#' @return A graph with 4 diagnostic plots for linear models
#'
#' @examples
MLA.plotlm<-function(lm1,nc=30){
  dev.new()
  par(mfrow=c(2,2))
  plot(lm1,1)
  plot(lm1,2)
  
  plot(lm1,3)
  MLA.plot.norm(lm1$residuals,nc=nc,std=TRUE)
}