#' @title augmented.inv
#' @description Given the inverse a symmetric matrix, computes efficiently the inverse 
#' of a new matrix with a row and a column added (simmetrically) to the the input matrix.
#' @param r.inv the inverse of a symmetric matrix \code{r}
#' @param newrow the new row (and column) of \code{n+1}  that must be added to \code{r}
#' @param j the row and column index that must be added to \code{r}
#' @details Much faster than inversion of the new matrix. There is however no control on numerical precision, so
#' avoid to use it recursively to go, for example from a 1000x1000 matrix to a 990x990 inverse in 10 steps.
#' @return The inverse of \code{r} without the \code{newrow} row and the \code{newrow} column

augmented.inv<-function(r.inv,newrow,j=1){
##### yet to write  
  #### not exported in NAMESPACE
   n=nrow(r.inv)
   new=matrix(0,n+1,n+1)
   y=newrow[-j]
   ay=array(crossprod(r.inv,y))
   a11.2=newrow[j]-sum(y*ay)
   aydiv=ay/a11.2
     new[j,j]=1/a11.2
   new[j,-j]=-aydiv
   new[-j,j]=-aydiv
   new[-j,-j]=outer(ay,aydiv)+r.inv
   
   return(new)
}
