
# NORMALMIX2 DENSITY
#' @title Computes the density of a mixture of two univariate normal distributions
#'
#' @param x a numerical vector
#' @param mean a two element vector of expected values 
#' @param sd a two element vector of standard deviations
#' @param x0 a two element vector of origins (not used)
#' @param p the mixing parameters (between 0 and 1)
#'
#' @return The density of a mixture of two univariate normal distributions
#' @export
#'
#' @examples
dnormal.mix2<-function(x,mean=c(2,8),sd=c(1,2),x0=c(0,0),p=0.5){
return(p*dnorm(x-x0[1],mean=mean[1],sd=sd[1])+(1-p)*dnorm(x-x0[2],mean=mean[2],sd=sd[2]))}

