#' @title complete
#'
#' @param x a dataframe or a matrix
#' @param n number of rows to return 
#' @return the head, the tail and some middle row
#' 
#' @export 
#'
#' @examples \dontrun{
#' headtail("a dataframe or a matrix")}
headtail <-
  function (x, n = 3L) 
  {
    stopifnot(length(n) == 1L)
    l <-nrow(x)
    n <- if (n < 0L) 
      max(l + n, 0L)
    else min(n, l)
    ind<-c(1:n,seq(from=trunc((l-n)/2),by=1,length.out=n),(l-n+1):l)
    y=x[ind, , drop = FALSE]
    rownames(y)=ind
    return(y)
  }
