

####### to put in MLANP

#' Title
#' @aliases  loglpm dev.p mean.p  LRp LRpm dnormp estimatepLM estimatepmLM std.dev.p
#' @param p p
#' @param res numerical array
#'
#' @return a norm p likelihood
#' @export
#'
#' @examples
loglp<- function(p,res){
  n   =length(res) 
  n1  =1./n
  v   =sum(n1*((abs(res))^p)  )
  l   =(-n/p)*log(p*v)-n*lgamma(1+1/p)-n/p
  return(l)}

loglpm<- function(param,res){
  p   =param[1]
  m   =param[2]
  n   =length(res) 
  n1  =1./n
  v   =n1*dev.p(m,res,p)
  l   =(n/p)*log(p*v)+n*lgamma(1+1/p)+n/p
  return(l)}

dev.p  <-function(m,x,p) sum((abs(x-m))^p)

mean.p=function(x,p) optimize(dev.p,range(x),x=x,p=p)$minimum

std.dev.p=function(x,p) {
  mp           =mean.p(x,p)
  return((dev.p(mp,x,p)/length(x))^(1/p))
}

#std.dev.p=function(x,p) (dev.p(mean.p(x,p),x,p)/length(x))^(1/p)

LRp<- function(p,res) 2*(loglp(p,res)-loglp(2,res))
LRpm<- function(p,m,res) 2*(-loglpm(c(p,m),res)+loglpm(c(2,mean(res)),res))

dnormp=function(x,m=0,s=1,p=2) 1/exp(log(2)+log(s)+lgamma(1+1/p)+(log(p)+(abs(x-m)/s)^p)/p)

estimatepLM<-function(res) optimize(loglp,c(0.01,10),res=res)
estimatepmLM<-function(res) nlm(loglpm,c(2,mean(res)),res=res)


