#' Title timechar2day string conversion
#'
#' @param timestring a 8 char string representing a date
#'
#' @return the conversion in days from "1900-01-01"
#' @export
#'
#' @examples
timechar2day <-function(timestring){
  timestring=paste(substring(timestring,1,4),substring(timestring,5,6),substring(timestring,7,8),sep="-")
  timesec= as.double(difftime(timestring,as.POSIXct("1900-01-01",tz="GMT"),tz="GMT",units="secs"))
  t2     =trunc(timesec/86400)
  return(t2)
}