% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/MLA.boxplot.R
\name{MLA.boxplot}
\alias{MLA.boxplot}
\title{Plot a rich box plot of a numerical response variable as a function
 of a numerical grouping variable}
\usage{
MLA.boxplot(
  y,
  group,
  lines0 = TRUE,
  box = TRUE,
  line.color = 2,
  facwidth = 3,
  spline = TRUE,
  ...
)
}
\arguments{
\item{y}{a numerical response variable}

\item{group}{a numerical grouping variable}

\item{lines0}{if \code{lines0=TRUE} a line connecting means is drawn}

\item{box}{if \code{box=TRUE} box are drawn}

\item{line.color}{color of the lines}

\item{facwidth}{a factor for scaling box widths (it adjusts the internal \code{boxplot} \code{boxwex} in pars list)}

\item{spline}{if TRUE a spline smoothing is performed (with cross validation). Default is TRUE)}

\item{...}{other graphical parameters}
}
\value{
a list with \code{y} means, grouping values, sizes
}
\description{
Plot a rich box plot of a numerical response variable as a function
 of a numerical grouping variable
}
\examples{
\donttest{
myplot.grouped.bin}
}
