% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/augmented.inv.R
\name{augmented.inv}
\alias{augmented.inv}
\title{augmented.inv}
\usage{
augmented.inv(r.inv, newrow, j = 1)
}
\arguments{
\item{r.inv}{the inverse of a symmetric matrix \code{r}}

\item{newrow}{the new row (and column) of \code{n+1}  that must be added to \code{r}}

\item{j}{the row and column index that must be added to \code{r}}
}
\value{
The inverse of \code{r} without the \code{newrow} row and the \code{newrow} column
}
\description{
Given the inverse a symmetric matrix, computes efficiently the inverse 
of a new matrix with a row and a column added (simmetrically) to the the input matrix.
}
\details{
Much faster than inversion of the new matrix. There is however no control on numerical precision, so
avoid to use it recursively to go, for example from a 1000x1000 matrix to a 990x990 inverse in 10 steps.
}
