% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/group.optim.R
\name{group.optim}
\alias{group.optim}
\title{Fast computation of the means of a numerical response
variable as a function  of a numerical grouping variable}
\usage{
group.optim(y, group = array(1, length(y)))
}
\arguments{
\item{y}{a numerical response variable}

\item{group}{a numerical grouping variable}
}
\value{
a list with:
values of \code{y} ordered  according the values of \code{group}
\code{k} number of categories of \code{group}
a vector \code{lim} of index the boundaries of \code{y} belonging to the same group
\code{n} number of elements of \code{y}
\code{m} array of the \code{k} means of  \code{y} as a function of \code{group}
}
\description{
Fast computation of the means of a numerical response
variable as a function  of a numerical grouping variable
}
\details{
Substantially equivalent to \code{tapply(y,group,MEAN)}, but faster, 
because group is ordered with index before computing means. Return indeces can be used to 
compute other function on groups, like sd or var, etc...
}
