% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/impute.matrix.numerical.R
\name{impute.matrix.numerical}
\alias{impute.matrix.numerical}
\title{impute.matrix.numerical}
\usage{
impute.matrix.numerical(
  x,
  rule = "fixed",
  max.iter = 5,
  immediate.subst = TRUE,
  order.var = FALSE,
  reduced.rows = FALSE,
  max.err = 0.01
)
}
\arguments{
\item{x}{A matrix with numerical variables with missing values}

\item{rule}{possible values are \code{"fixed"} and \code{"random"}}

\item{max.iter}{maximum numbers of iterations}

\item{immediate.subst}{imputed column is immediately used as a predictor (but \code{cov(x)} is not updated until the iteration is completed}

\item{order.var}{logical. If \code{order.var=TRUE} variables are reordered. (yet not implemented)}

\item{reduced.rows}{logical. If \code{order.var=TRUE} then a optimized sample of rows is taken 
to compute variace covariance matrices. (yet not implemented)}

\item{max.err}{max mean relative error (evaluated only for numerical variables between two successive iterations)}
}
\value{
the matrix \code{x} with imputed missing values.
}
\description{
Imputation method for numerical variables. Optimized code 
for regression prediction
}
\details{
\code{impute.num.simple}  is used for numerical variables at the first step. 
 Imputation of numerical variables is iterated until convergence (or until max.iter iterations are completed). Imputation uses multiple regression:
 no use of \code{lm} is made.
conditioned to other variables, will be implemented, with \code{rule}=\code{"random"}
}
\seealso{
\code{\link{impute.matrix.mixed}} 
\code{\link{impute.matrix.numerical}} 
\code{\link{impute.cat.simple}} \code{\link{impute.num.simple}}
}
\concept{imputations impute.matrix.mixed impute.matrix.numerical impute.num.simple impute.cat.simple}
