% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/lines3d.marginal.R
\name{lines3d.marginal}
\alias{lines3d.marginal}
\title{lines3d.marginal}
\usage{
lines3d.marginal(
  x,
  y,
  z = 0,
  plane = "xy",
  zrange = c(-10, 10),
  newplot = FALSE,
  color.lines = 4,
  color.points = 2,
  display.line = TRUE,
  display.points = TRUE,
  display.plane = TRUE,
  display.grid = FALSE,
  ngrid = 10,
  color.plane = "blue",
  alpha = 0.2,
  clipping.plane = FALSE,
  ...
)
}
\arguments{
\item{x}{x-values}

\item{y}{y-values (of the same length of \code{x})}

\item{z}{Costant value of the third variable at which the 2d line must be plotted.}

\item{plane}{the coordinate plane used for the plot. Six values are possible: "xy","xz","yx","yz","zx","zy".
The choice will set the right permutation of the input \code{x,y,z}}

\item{zrange}{The range of the third variable (to use only if \code{newplot=TRUE})}

\item{newplot}{if \code{TRUE}, a new 3d window is opened}

\item{color.lines}{color of the line}

\item{color.points}{color of the points}

\item{display.line}{If \code{TRUE} the line is plotted on the plane \code{plane}}

\item{display.points}{If \code{TRUE} points are plotted on the plane  \code{plane}}

\item{display.plane}{If \code{TRUE} the plane  \code{plane} is explicitely rendered}

\item{display.grid}{If \code{TRUE} a grid is plotted on the plane  \code{plane}}

\item{ngrid}{approximate number of grid lines to be plotted on the plane  \code{plane}}

\item{color.plane}{Color of the plotted plane}

\item{alpha}{Transparency level of the plane}

\item{clipping.plane}{(not yet implemented)}

\item{...}{Other graphical parameters}
}
\description{
Draws a 2d line on a costant plane in a 3d (existing) plot. The plane can also be plotted.
Any of the six coordinate plane can be chosen with \code{plane}, together with the level at which it must be fixed.
}
