% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/reduced.inv.R
\name{reduced.inv}
\alias{reduced.inv}
\title{reduced.inv}
\usage{
reduced.inv(r, r.inv, j = 1)
}
\arguments{
\item{r}{a numeric matrix}

\item{r.inv}{the inverse of \code{r}}

\item{j}{the row and column index that must be dropped out from \code{r}}
}
\value{
The inverse of \code{r} without the \code{j-th} row and the \code{j-th} column
}
\description{
Given a symmetric matrix and its inverse, computes efficiently the inverse of a submatrix of 
the input matrix with a row and a column dropped
}
\details{
Much faster than inversion of the submatrix. There is however no control on numerical precision, so
avoid to use it recursively to go, for example from a 1000x1000 matrix to a 990x990 inverse in 10 steps.
}
