% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/simulreg2d.R
\name{simulreg2d}
\alias{simulreg2d}
\title{Simple  regression simulation}
\usage{
simulreg2d(
  nsample = 1,
  tpause = 0.05,
  n = 10,
  b0 = 1,
  b1 = 0.8,
  x = seq(1, 10, length.out = n),
  color.predicted = 2,
  color.truepoints = 4,
  color.observed = 1,
  color.truelines = 5,
  winbuffer = (tpause == 0),
  single.predictedpoints = FALSE,
  single.predictedline = TRUE,
  single.true = TRUE
)
}
\arguments{
\item{nsample}{number of samples (and lines) to simulate}

\item{tpause}{second of pause between samples}

\item{n}{single sample size}

\item{b0}{true value of intercept}

\item{b1}{true value of regression coefficient for \code{x}}

\item{x}{values of x}

\item{color.predicted}{custom color for predicted points}

\item{color.truepoints}{custom color for true points}

\item{color.observed}{custom color for observed (simulated) points}

\item{color.truelines}{custom color for true line}

\item{winbuffer}{value for options(windowsBuffered)}

\item{single.predictedpoints}{if the predicted points must be plotted}

\item{single.predictedline}{if the predicted line must be plotted}

\item{single.true}{if the true line must be plotted}
}
\value{
a list with simulated estimates and the x array used
}
\description{
Visualization of a simulation of a simple linear regression y~x. The values of x can be chosen.
}
