% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/simulreg3d.R
\name{simulreg3d}
\alias{simulreg3d}
\title{Simple grafic bivariate regression simulation}
\usage{
simulreg3d(
  nsample = 1,
  tpause = 0.05,
  n = 10,
  beta0 = 1,
  beta1 = 0.8,
  beta2 = 0.7,
  rho.x1x2 = 0.1
)
}
\arguments{
\item{nsample}{number of samples (and planes) to simulate}

\item{tpause}{second of pause between samples}

\item{n}{single sample size}

\item{beta0}{true value of intercept}

\item{beta1}{true value of regression coefficient for \code{x1}}

\item{beta2}{true value of regression coefficient for \code{x2}}

\item{rho.x1x2}{correlation between regressors x1,x2}
}
\value{
a list with simulated estimates and the X matrix used
}
\description{
very simple 3d rendering of a simulation of bivariate linear regression (with two explicative variables x1, x2). Correlation between x1 and x2 can be chosen.
}
